<button routerLink = "/" mat-raised-button color="accent" class="Back">Back</button>
<button mat-raised-button color="accent" (click)="openDialog()" class="Add">Add</button>

<!-- <button mat-raised-button color="accent" class="Add">Back</button> -->
<div  *ngIf="dataSource?.filteredData?.length" class="container">
  <div style="margin-top: 10px;">
    <mat-form-field appearance="standard">
      <mat-label>Filter</mat-label>
      <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
    </mat-form-field>
    
    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource" matSort>
    
        <!-- Name Column -->
        <ng-container matColumnDef="Task">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Task </th>
          <td mat-cell *matCellDef="let row">  {{row.Task}}  </td>
        </ng-container>
    
        <!-- Last Name Column -->
        <ng-container matColumnDef="Description">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Description </th>
          <td mat-cell *matCellDef="let row"> {{row.Description}} </td>
        </ng-container>
    
       
    
       

      

        <!--Action coloumn-->
        <ng-container matColumnDef="action">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Action </th>
          <td mat-cell *matCellDef="let row"> 
            <button mat-icon-button (click)="editTask(row)" color="primary">
              <mat-icon>edit</mat-icon>
            </button>

            <button (click)="deleteTask(row.id)" mat-icon-button color="warn">
              <mat-icon>delete</mat-icon>
            </button>
          </td>
        </ng-container>

  
    
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    
        <!-- Row shown when there is no matching data. -->
        <tr class="mat-row" *matNoDataRow>
          <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
        </tr>
      </table>
    
      <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
    </div>
  
  </div>
</div>
<div *ngIf="!dataSource || !dataSource.filteredData || !dataSource.filteredData.length" >
  <span>Task is not assigned</span>
  

</div>